--- title: "getCloudMysqlUserList" slug: "database-vmysql-getcloudmysqluserlist" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqluserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlUserList Available in VPC Get the list of Cloud DB for MySQL instance DB users. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlUserList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMysqlInstanceNo` | String | Required | Instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `pageNo` | Integer | Required | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Required | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - 1 (minimum) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlUserList ?regionCode=KR &cloudMysqlInstanceNo=****890 &pageNo=0 &pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlUserList](/docs/en/common-vapidatatype-cloudmysqluserlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlUserListResponse": { "totalRows": 3, "cloudMysqlUserList": [ { "userName": "test_read", "hostIp": "%", "authority": "READ", "isSystemTableAccess": true }, { "userName": "test_ddl", "hostIp": "%", "authority": "DDL", "isSystemTableAccess": true } ], "requestId": "ddf3cacd-****-****-****-c45e068482fc", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` ddf3cacd-****-****-****-c45e068482fc 0 success 3 test_read % READ true test_ddl % DDL true ```